#ifndef RANDALGH
#define RANDALGH
#define MY_RAND_MAX 0x7FFFU
#include "defs.h"

extern void my_srand(Uword seed);
extern Word my_rand();
inline Word _Cdecl my_random(Word __num)
                 { return(Word)(((Dword)my_rand()*__num)/(MY_RAND_MAX+1)); }

#endif
